#ifndef __REMOTE_CONTROL_H_
#define __REMOTE_CONTROL_H_


// =================================
// Copyright 2000, Alien Connections
// =================================



// ===========================================================================
//
// Remote control return values from calls to PS 2000 using program switches.
// --------------------------------------------------------------------------
//
// The return values can be extracted as the exit code from the PS 2000 loader,
// "Pristine Sounds 2000.exe"
//
// The content of this file is subject to changes at any time.
// Please use this file only with the currently installed version of PS 2000,
// and that is done by linking to the file, not copying it.
// This file is used at your own risk.
//
// Any questions about this file can be sent to rnd@alienconnections.com
//
// ===========================================================================


// =========================================
// The errorcode zero (0) is reserved for
// Pristine Sounds itself and is not related
// to Remote Controlling
#define	RC_NOT_RELATED					0


// =========================================
// The RC_UNEXPECTED return code is returned
// as an "assertion". Whenever it happens, 
// please contact us for investigation.
#define	RC_UNEXPECTED					255




// ======================================
// These are general return values 
#define RC_FUNCTION_SUCCESS				1
#define RC_FUNCTION_FAIL				2
#define RC_BAD_PARAM					3
#define RC_IDLE							4
#define RC_BUSY							5
#define RC_PROGRAM_COULD_NOT_START		6
#define RC_FUNCTION_TO_LICENSED			7
#define RC_NO_SUCH_FILE					8
#define	RC_NOT_READY					9

#define RC_NO_WAVEFORM_OPENED			10



// ========================================
// These are possible return codes from the
// '/BATCHPROCESSING_ERRORCODE'witch
#define RC_BP_UNINITIALIZED				100		
#define	RC_BP_CLEARED					101	
#define	RC_BP_UNDER_PREPARATION			102
#define	RC_BP_PREPARED					103
#define	RC_BP_RUNNING					104	
#define	RC_BP_ALL_OK					105
#define	RC_BP_SOME_OK					106
#define	RC_BP_ABORTED					107





#endif	__REMOTE_CONTROL_H_